aboutsummaryrefslogtreecommitdiff
path: root/scripts/tmus
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/tmus')
-rwxr-xr-xscripts/tmus19
1 files changed, 12 insertions, 7 deletions
diff --git a/scripts/tmus b/scripts/tmus
index 9bb9d5b..0af2672 100755
--- a/scripts/tmus
+++ b/scripts/tmus
@@ -1,26 +1,31 @@
#!/bin/sh
if [ $# -eq 1 ]; then
- selected="$1"
- [ -d "$1" ] || mkdir -p "$1"
+ selected="$1"
+ [ -d "$1" ] || mkdir -p "$1"
else
- selected=$(find ~/projects/ ~/school/ ~/source/ ~/testing/ ~/git/ ~/QEMU/ ~/.config/ -mindepth 1 -maxdepth 1 -type d | fzf)
+ if ! [ -f ~/.tmus-dirs ]; then
+ echo 'Please create ~/.tmus-dirs with desired search dirs'
+ exit 1
+ fi
+
+ selected=$(find $(cat ~/.tmus-dirs) -mindepth 1 -maxdepth 1 -type d | fzf)
fi
if [ -z "$selected" ]; then
- exit 0
+ exit 0
fi
selected_name=$(basename "$selected" | tr . _)
tmux_running=$(pgrep tmux)
if [ -z "$TMUX" ] && [ -z "$tmux_running" ]; then
- tmux new-session -s "$selected_name" -c "$selected"
- exit 0
+ tmux new-session -s "$selected_name" -c "$selected"
+ exit 0
fi
if ! tmux has-session -t="$selected_name" 2> /dev/null; then
- tmux new-session -ds "$selected_name" -c "$selected"
+ tmux new-session -ds "$selected_name" -c "$selected"
fi
if tmux list-sessions | grep -qs attached; then